#ifndef BOARD_CONFIG_H
#define BOARD_CONFIG_H

//Un-comment a line below for the target board/uC.
#define FEATHER_RFM95
//#define FEATHER_RFM96

//Only applied if defined
    #ifdef FEATHER_RFM95
        //Define Serial params for debuging
        #define SERIAL_BUADRATE 115200

        // DISPLAY CONFIGURATION (ST7789)
        #define TFT_CS 5                     // Chip select pin for the display
        #define TFT_RST 9                    // Reset pin for the display
        #define TFT_DC 6                     // Data/Command pin for the display
        #define TFT_X 240                    // Number of pixes in X axis.
        #define TFT_Y 280                    // Number of pixes in Y axis.

        // LED RING CONFIGURATION (WS2812)
        #define NUM_LEDS 24                  // Number of LEDs in the ring
        #define DATA_PIN 12                  // Pin for LED data

        // GPS CONFIGURATION (BN-220)
        #define GPS_TX_PIN 10                // GPS TX pin connected to Arduino RX
        #define GPS_RX_PIN 11                // GPS RX pin connected to Arduino TX
        #define GPS_BUADRATE 9600            // GPS serial baud rate.

        // Radio defines 
        #define RFM9X_CS    8
        #define RFM9X_INT   7
        #define RFM9X_RST   4
        #define RF9X_FREQ 915.0
        #define RF9X_MAX_DB 23
        #define RF9X_MIN_DB 5
        #define RF9X_TIMEOUT 250
        #define RF9X_BUF_SZ 32
    #endif //FEATHER_RFM9X


#endif //BOARD_CONFIG_H
